Bug 523768 - [abrt] crash detected in alsa-utils-1.0.21-2.fc12
[abrt] crash detected in alsa-utils-1.0.21-2.fc12
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: alsa-utils (Show other bugs)
12
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Jaroslav Kysela
Fedora Extras Quality Assurance
abrt_hash:d2e56f91a0febbe31aca45f72ce...
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-16 11:47 EDT by Matěj Cepl
Modified: 2010-12-05 01:23 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 01:23:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (2.09 KB, text/plain)
2009-09-16 11:47 EDT, Matěj Cepl
no flags Details
hand-made backtrace (3.15 KB, text/plain)
2009-09-16 12:02 EDT, Matěj Cepl
no flags Details
/var/log/messages (1.71 MB, text/plain)
2009-09-16 12:04 EDT, Matěj Cepl
no flags Details
output of dmesg (64.27 KB, text/plain)
2009-09-16 12:05 EDT, Matěj Cepl
no flags Details
/etc/asound.conf (151 bytes, text/plain)
2009-09-24 12:38 EDT, Matěj Cepl
no flags Details

  None (edit)
Description Matěj Cepl 2009-09-16 11:47:35 EDT
abrt detected a crash.


How to reproduce
-----
1.
2.
3.


Additional information
======


Attached files
----
backtrace

cmdline
-----
alsactl init 


component
-----
alsa-utils


executable
-----
/sbin/alsactl


kernel
-----
2.6.31-12.fc12.x86_64


package
-----
alsa-utils-1.0.21-2.fc12


reason
-----
Process was terminated by signal 11
Comment 1 Matěj Cepl 2009-09-16 11:47:38 EDT
Created attachment 361306 [details]
File: backtrace
Comment 2 Matěj Cepl 2009-09-16 11:57:02 EDT
Might be a duplicate of bug 466377. When running alsactl init I get this crash and the following on the screen:

bradford:~$ alsactl init
ALSA lib conf.c:3366:(snd_config_hook_load) Unable to find field files in the pre-load section
ALSA lib conf.c:3286:(snd_config_hooks_call) function snd_config_hook_load returned error: Invalid argument
ALSA lib control.c:902:(snd_ctl_open_noupdate) Invalid CTL hw:0
Neoprávněný přístup do paměti (SIGSEGV) (core dumped [obraz paměti uložen])
bradford:~$ 

My hardware information is 
http://www.alsa-project.org/db/?f=c4173296488957629e548acf29f1743c274fd98b

bradford:~$ amixer -c0
ALSA lib conf.c:3366:(snd_config_hook_load) Unable to find field files in the pre-load section
ALSA lib conf.c:3286:(snd_config_hooks_call) function snd_config_hook_load returned error: Invalid argument
ALSA lib control.c:902:(snd_ctl_open_noupdate) Invalid CTL hw:0
amixer: Mixer attach hw:0 error: Invalid argument
bradford:~$ 

Headphones (with jack) work perfectly, but nothing comes out of loudspeaker.
Comment 3 Matěj Cepl 2009-09-16 12:02:37 EDT
Created attachment 361309 [details]
hand-made backtrace
Comment 4 Matěj Cepl 2009-09-16 12:04:07 EDT
Created attachment 361310 [details]
/var/log/messages
Comment 5 Matěj Cepl 2009-09-16 12:05:21 EDT
Created attachment 361311 [details]
output of dmesg
Comment 6 Jaroslav Kysela 2009-09-16 12:58:56 EDT
This problem should be fixed in the alsa-lib-1.0.21-3 package.
Comment 7 Matěj Cepl 2009-09-19 18:56:19 EDT
It isn't. alsactl works only when Pulseaudio is running.

bradford:~$ rpm -qa \*alsa\*
alsa-utils-1.0.21-2.fc12.x86_64
alsa-utils-debuginfo-1.0.21-2.fc12.x86_64
alsa-plugins-pulseaudio-1.0.21-2.fc12.x86_64
alsa-lib-1.0.21-3.fc12.i686
alsa-oss-libs-1.0.17-4.fc12.x86_64
alsa-lib-1.0.21-3.fc12.x86_64
python-alsaaudio-0.5-2.fc12.x86_64
alsa-lib-debuginfo-1.0.21-3.fc12.x86_64
alsa-lib-devel-1.0.21-3.fc12.x86_64
alsa-oss-1.0.17-4.fc12.x86_64
bradford:~$ alsactl init
Unknown hardware: "HDA-Intel" "Conexant CX20561 (Hermosa)" "HDA:14f15051,17aa211c,00100000" "0x17aa" "0x20f2"
Hardware is initialized using a guess method
V /var/spool/mail/matej máte novou poštu
bradford:~$ paplay archiv/music/Sound_Clip/Ubuntu-startup.wav 
^Cbradford:~$ sudo -i
[sudo] password for root: 
bradford:~# vim /etc/asound.conf 
bradford:~# vim /etc/pulse/client.conf 
bradford:~# pkill -f pulseaudio
bradford:~# pgrep -f -l pul
bradford:~# logout
bradford:~$ alsactl init
ALSA lib conf.c:3366:(snd_config_hook_load) Unable to find field files in the pre-load section
ALSA lib conf.c:3286:(snd_config_hooks_call) function snd_config_hook_load returned error: Invalid argument
ALSA lib control.c:902:(snd_ctl_open_noupdate) Invalid CTL hw:0
Neoprávněný přístup do paměti (SIGSEGV) (core dumped [obraz paměti uložen])
bradford:~$
Comment 8 Jaroslav Kysela 2009-09-24 11:25:24 EDT
Could you attach your modified /etc/asound.conf file?
Comment 9 Matěj Cepl 2009-09-24 12:38:05 EDT
Created attachment 362530 [details]
/etc/asound.conf
Comment 10 Jaroslav Kysela 2009-09-25 02:43:49 EDT
Please, comment out whole @hooks block or rename "/etc/alsa/pulse-default.conf" file. Your change in the configuration file is invalid - "ALSA lib conf.c:3366:(snd_config_hook_load) Unable to find field files in the
pre-load section".

Anyway, the SIGSEGV should not occur. I'll look to this problem.
Comment 11 Jaroslav Kysela 2009-10-07 08:04:43 EDT
*** Bug 481697 has been marked as a duplicate of this bug. ***
Comment 12 Adam Williamson 2009-10-23 13:22:00 EDT
Discussed at today's blocker bug review meeting. We believe this is not a blocker as long as Jaroslav's comment #10 is accurate - if you can only hit this bug by manually screwing up your ALSA config files, it shouldn't block the release. mcepl, can you please confirm that if you fix your asound.conf , you no longer hit the bug?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 13 Matěj Cepl 2009-10-24 17:34:08 EDT
Yes, confirming. I really don't have luck with ALSA bugs.

This is certainly low priority bug ... ALSA shouldn't crash with whatever crap anyone puts into configuration file, but with fixed /etc/asound.conf (the one from the package) everything works as it should.
Comment 14 Adam Williamson 2009-10-24 18:07:54 EDT
Thanks for confirming.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 15 Bug Zapper 2009-11-16 07:30:00 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Bug Zapper 2010-11-04 05:59:23 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Bug Zapper 2010-12-05 01:23:38 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.